Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs
Class WFService

    java.lang.Object
      org.deegree.ogcwebservices.wfs.WFService

All Implemented Interfaces:
  OGCWebService

    public class WFService

extends Object
implements OGCWebService

This class implements access to the methods defined in the OGC WFS 1.1.0 specification.

Version:
  $Revision: 23794 $, $Date: 2010-04-23 15:05:33 +0200 (Fr, 23. Apr 2010) $
Author:
  Markus Schneider, Andreas Poth, last edited by: $Author: aionita $
See Also:
  `OGCWebService`

Field Summary
`static String` | `VERSION` Only OGC standard version currently implemented by this service.

Constructor Summary
`WFService(WFSConfiguration configuration)` Creates a new instance of `WFService` with the given configuration.

Method Summary
`Object` | `clone()` Returns a clone of the `WFService` instance.
`Object` | `doService(OGCWebServiceRequest request)` Performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/ method.
`WFSCapabilities` | `getCapabilities()` Returns the capabilities of the `WFService`.
`MappedFeatureType` | `getMappedFeatureType(QualifiedName name)` Returns the `MappedFeatureType` with the given name.
`Map<QualifiedName,MappedFeatureType>` | `getMappedFeatureTypes()` Returns a `Map` of the feature types that this WFS serves.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final String VERSION

  Only OGC standard version currently implemented by this service.

  See Also:
    Constant Field Values

Constructor Detail

### WFService

    WFService(WFSConfiguration configuration)
        throws OGCWebServiceException

  Creates a new instance of `WFService` with the given configuration.

  Parameters:
    `configuration` -
  Throws:
    `OGCWebServiceException`

Method Detail

### getCapabilities

    public WFSCapabilities getCapabilities()

  Returns the capabilities of the `WFService`.

  Specified by:
    `getCapabilities` in interface `OGCWebService`
  Returns:
    the capabilities, this is actually a `WFSConfiguration` instance

### doService

    public Object doService(OGCWebServiceRequest request)
                     throws OGCWebServiceException

  Performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/ method.

  Specified by:
    `doService` in interface `OGCWebService`
  Parameters:
    `request` - WFS request to perform
  Returns:
    result of a service operation
  Throws:
    `OGCWebServiceException`

### clone

    public Object clone()

  Returns a clone of the `WFService` instance.

  Note that the configuration of the new service will refer to the same instance.

  Overrides:
    `clone` in class `Object`

### getMappedFeatureType

    public MappedFeatureType getMappedFeatureType(QualifiedName name)

  Returns the `MappedFeatureType` with the given name.

  Parameters:
    `name` - name of the feature type
  Returns:
    the mapped feature type with the given name, or null if it is not known to this WFService instance

### getMappedFeatureTypes

    public Map<QualifiedName,MappedFeatureType> getMappedFeatureTypes()

  Returns a `Map` of the feature types that this WFS serves.

  Returns:
    keys: feature type names, values: mapped feature types

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org